package com.railway.business.safetool.service;

import com.railway.business.safetool.domain.SecScheduledTool;
import java.util.List;
/**
* 安全计划和工具关系表
* @author lijie
* @date 2021/12/04
*/
public interface ISecScheduledToolService{

    /**
    * 新增
    */
    int create(SecScheduledTool secScheduledTool);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(SecScheduledTool secScheduledTool);

    /**
    * 获取单个
    */
    SecScheduledTool getInfo(String id);

    /**
    * 查询列表
    */
    List<SecScheduledTool> getList(SecScheduledTool secScheduledTool);

}
